Bug 335229 - dot.kde.org and akademy.kde.org menu does not work in narrow mode
Summary: dot.kde.org and akademy.kde.org menu does not work in narrow mode
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sayak Banerjee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 23:04 UTC by Albert Astals Cid
Modified: 2014-06-18 03:47 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2014-05-22 23:04:40 UTC
If you go to either dot.kde.org or akademy.kde.org and make the window narrower than the menu, at some point a "hamburger" (three horizontal lines) button will appear trying to replace the menu functionality, unfortunately pressing it does nothing, if you make the window even narrower the hambuger button will disappear and you won't be able to access the menu at all :(
Comment 1 Sam Stonehouse 2014-06-17 20:57:05 UTC
Is there a way to grab the source of these so I can fix it? I can't find the source for these particular sites anywhere
Comment 2 Albert Astals Cid 2014-06-17 21:08:08 UTC
Sent you an email with it no?
Comment 3 Sam Stonehouse 2014-06-17 21:24:56 UTC
Ah, you did, my bad; I'm not sure how much I can do without the database as it may be that the menu hasn't been created on the CMS.
Comment 4 Albert Astals Cid 2014-06-17 21:45:07 UTC
I don't understand what you mean with "may be the menu hasn't been created on the CMS"
Comment 5 Sam Stonehouse 2014-06-17 22:30:01 UTC
Half of the information needed to render the page is stored on the database and half of it is the theme so if I made a local copy it would only do so much.

It also seems that dot.kde.org and akademy.kde.org are using two different versions of the theme? But I can't be 100% sure yet, Drupal seems backwards to someone that hasn't used it before.
Comment 6 Ben Cooksley 2014-06-17 22:49:23 UTC
In terms of the server setup, both dot.kde.org and akademy.kde.org use the same theme. As this is a narrow mode only issue, it is likely a pure Javascript / CSS issue. Does this help in investigating the issue?

If you need any resources from the server we can probably arrange it, but simply enabling the theme in a Drupal 7 installation which has a menu setup should be sufficient to test it.
Comment 7 Sayak Banerjee 2014-06-18 03:47:17 UTC
Should be fixed now (sort of). We have a new theme on the way, so the Neverland theme itself has been frozen for changes as such.. If you see this issue in any other drupal site that we have, please poke me on IRC.